# Uses of Interface
org.bukkit.entity.EnderDragon

Packages that use EnderDragon
Package
Description
com.destroystokyo.paper.event.entity
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EnderDragon in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return EnderDragon
Modifier and Type
Method
Description
`@NotNull EnderDragon`
EnderDragonFlameEvent.`getEntity()`
The enderdragon involved in this event
`@NotNull EnderDragon`
EnderDragonShootFireballEvent.`getEntity()`
The enderdragon shooting the fireball
Constructors in com.destroystokyo.paper.event.entity with parameters of type EnderDragon
Modifier
Constructor
Description
``
`EnderDragonFlameEvent(@NotNull EnderDragon enderDragon, @NotNull AreaEffectCloud areaEffectCloud)`
``
`EnderDragonShootFireballEvent(@NotNull EnderDragon entity, @NotNull DragonFireball fireball)`

## Uses of EnderDragon in org.bukkit.boss

Methods in org.bukkit.boss that return EnderDragon
Modifier and Type
Method
Description
`@Nullable EnderDragon`
DragonBattle.`getEnderDragon()`
Get the `EnderDragon` active in this battle.

## Uses of EnderDragon in org.bukkit.entity

Methods in org.bukkit.entity that return EnderDragon
Modifier and Type
Method
Description
`@NotNull EnderDragon`
EnderDragonPart.`getParent()`

## Uses of EnderDragon in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EnderDragon
Modifier and Type
Method
Description
`@NotNull EnderDragon`
EnderDragonChangePhaseEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type EnderDragon
Modifier
Constructor
Description
``
`EnderDragonChangePhaseEvent(@NotNull EnderDragon enderDragon, EnderDragon.Phase currentPhase, EnderDragon.Phase newPhase)`